### Signal

# Gtk IMContext::delete-surrounding

#### Declaration

    gboolean
    delete_surrounding (
      GtkIMContext self,
      gint offset,
      gint n_chars,
      gpointer user_data
    )

#### Description [src]

The ::delete-surrounding signal is emitted when the input method needs to delete all or part of the context surrounding the cursor.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`offset` | `gint`
| The character offset from the cursor position of the text to be deleted. A negative value indicates a position before the cursor.
`n_chars` | `gint`
| The number of characters to be deleted.

#### Return value

Returns: | `gboolean`
| `TRUE` if the signal was handled.